Skip to main content
GET
/
gst
/
compliance
/
tax-payer
/
gstrs
/
gstr-1a
/
supeco
/
{year}
/
{month}
Get GSTR-1A SUPECO
curl --request GET \
  --url https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/gstr-1a/supeco/{year}/{month} \
  --header 'authorization: <authorization>' \
  --header 'x-api-key: <x-api-key>'
{
  "code": 200,
  "timestamp": 1763446641000,
  "transaction_id": "41bb8041-fb83-4654-8d75-85a19f329158",
  "data": {
    "status_cd": "1",
    "data": {
      "supeco": {
        "clttx": [
          {
            "etin": "20ALYPD6528PQC5",
            "suppval": 10000,
            "igst": 1000,
            "cgst": 0,
            "sgst": 0,
            "cess": 0,
            "flag": "E"
          }
        ],
        "paytx": [
          {
            "etin": "20ALYPD6528PQC5",
            "suppval": 10000,
            "igst": 1000,
            "cgst": 0,
            "sgst": 0,
            "cess": 0,
            "flag": "D"
          }
        ]
      }
    }
  }
}

Response body schema

View response body schema

Headers

authorization
string
required

GST taxpayer access token. For token-generation steps, refer to the Generate Taxpayer Session flow and pass the token in the authorization header.

x-api-version
string
default:1.0.0

Compliance API version.

x-api-key
string
required

API key for identification.

Path Parameters

year
string
required

Return year, for example 2025.

month
string
required

Return month, for example 04.

Query Parameters

sub_section
string

Optional subsection filter.

from
string

Optional from date in DD/MM/YYYY format.

Response

200 - application/json

Success

The response is of type object.